Bug 1385180 - Review Request: purple-facebook - Facebook protocol plugin for purple2
Summary: Review Request: purple-facebook - Facebook protocol plugin for purple2
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-14 22:26 UTC by Björn 'besser82' Esser
Modified: 2017-08-31 13:47 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-22 12:52:54 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2016-10-14 22:26:52 UTC
Description:

  Purple Facebook implements the Facebook Messenger protocol into pidgin,
  finch, and libpurple.  While the primary implementation is for purple3,
  this plugin is back-ported for purple2.


Koji Build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=16091239


Issues:

  No known issues, but some false positives about spelling from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/purple-facebook.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/purple-facebook-0.0.0.20160409.66ee77378d82-0.1.fc26.src.rpm


Thanks for review in advance!

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-10-15 23:21:18 UTC
into pidgin → for pidgin

%{__rm} → rm
There's absolutely no need to do this. The guidelines require macros for *directories*, but not for executables. If you have a rogue rm in the path, you have bigger problems, and anyway, there are various other programs called during build, so guarding just rm isn't useful. Same for %__make.

+ package name is OK
+ latest version
+ license is acceptable for Fedora (GPLv2+)
+ license is specified correctly
+ provides/requires look OK
+ builds and installs OK
+ no scriptlets needed (.so in private directory)
- versioning doesn't follow the guidelines [https://fedoraproject.org/wiki/Packaging:Versioning#Pre-Release_packages has the rules, but it's rather muddled unfortunately]. I think keeping the git date in version makes sense, but the git tag should be moved to the release tag.

%global gitcommit ea683512f9b82f2257770f0ed56d819eea230fc2
%global gitdate 20160405
%{?gitcommit:%global gitcommitshort %(c=%{gitcommit}; echo ${c:0:7})}

Version: 0.0.%{gitdate}
Release: 1%{?gitcommit:.git%{gitcommitshort}}%{?dist}

Comment 2 Björn 'besser82' Esser 2016-10-16 10:51:38 UTC
Thank you for the quick review!  =)

***

Updated package:

Koji Build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=16099176


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/purple-facebook.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/purple-facebook-0.0.0.20160409-0.2.git66ee773.fc26.src.rpm

***

(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> into pidgin → for pidgin

fixed


> %{__rm} → rm
> There's absolutely no need to do this. The guidelines require macros for
> *directories*, but not for executables. If you have a rogue rm in the path,
> you have bigger problems, and anyway, there are various other programs
> called during build, so guarding just rm isn't useful. Same for %__make.

I think this is more a personal preference of mine and doesn't violate packaging guidelines.


> - versioning doesn't follow the guidelines
> [https://fedoraproject.org/wiki/Packaging:Versioning#Pre-Release_packages
> has the rules, but it's rather muddled unfortunately]. I think keeping the
> git date in version makes sense, but the git tag should be moved to the
> release tag.

fixed

***

Hope the package is fine now and can be approved.  ;)

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-10-16 15:39:43 UTC
(In reply to Björn "besser82" Esser from comment #2)
> > %{__rm} → rm
> > There's absolutely no need to do this. The guidelines require macros for
> > *directories*, but not for executables. If you have a rogue rm in the path,
> > you have bigger problems, and anyway, there are various other programs
> > called during build, so guarding just rm isn't useful. Same for %__make.
> 
> I think this is more a personal preference of mine and doesn't violate
> packaging guidelines.

Yeah, it's just gratuitous obfuscation ;)

OK, the version thing was the only bigger issue. That is fixed now. Package is APPROVED.

Comment 4 Gwyn Ciesla 2016-10-17 12:36:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/purple-facebook

Comment 5 Fedora Update System 2016-10-18 16:19:39 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-44797466c0

Comment 6 Fedora Update System 2016-10-18 17:27:58 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-805a9a3925

Comment 7 Fedora Update System 2016-10-19 07:23:33 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fee03e1a8

Comment 8 Fedora Update System 2016-10-19 08:30:50 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd02294bfb

Comment 9 Fedora Update System 2016-10-21 16:50:45 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1c172d3506

Comment 10 Fedora Update System 2016-10-22 12:52:54 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-27 03:20:34 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-27 06:19:41 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-04 18:47:00 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-06 03:19:12 UTC
purple-facebook-0.0.0.20160409-0.4.git66ee773.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.